hakyll-4.13.0.1: A static website compiler library

Safe Haskell | None
Language | Haskell2010

Hakyll.Core.Dependencies

# Documentation

data Dependency Source #

Constructors

PatternDependency Pattern (Set Identifier) |
IdentifierDependency Identifier |

Instances

Show Dependency Source # |
Instance details Defined in Hakyll.Core.Dependencies Methods showsPrec :: Int -> Dependency -> ShowS Source # show :: Dependency -> String Source # showList :: [Dependency] -> ShowS Source #
Binary Dependency Source # |
Instance details Defined in Hakyll.Core.Dependencies Methods put :: Dependency -> Put Source # get :: Get Dependency Source # putList :: [Dependency] -> Put Source #

type DependencyFacts = Map Identifier [Dependency] Source #

outOfDate Source #

Arguments

:: [Identifier] | All known identifiers
-> Set Identifier | Initially out-of-date resources
-> DependencyFacts | Old dependency facts
-> (Set Identifier, DependencyFacts, [String]) |